# API endpoints (/en/docs/conta-digital/endpoints)

<QuickLinks>
  <QuickLink href="/docs/conta-digital/getting-started" title="Getting started" />

  <QuickLink href="/docs/conta-digital/authentication" title="Authentication" />

  <QuickLink href="/docs/conta-digital/webhooks" title="Webhooks" />

  <QuickLink href="/docs/conta-digital/error-codes" title="Error codes" />
</QuickLinks>

Base URL: `https://api.hub.payzu.com.br/api/v1`. `GET /status` needs no credential; the other routes use the credential, as in [Authentication](/docs/conta-digital/authentication). Each route states the scope it requires.

## Typical integration flow [#typical-integration-flow]

<Mermaid
  chart="`
flowchart LR
  A[&#x22;POST /oauth/token&#x22;] --> B[&#x22;POST /transactions/payment&#x22;]
  B --> C[&#x22;PAYMENT_PAID webhook&#x22;]
  C --> D[&#x22;GET /transactions/payment/{paymentId}&#x22;]
  D --> E[&#x22;POST /transactions/withdraw&#x22;]

  click A &#x22;/docs/conta-digital/endpoints/authentication/post_oauth_token&#x22; &#x22;Get access token&#x22;
  click B &#x22;/docs/conta-digital/endpoints/charges/post_payment&#x22; &#x22;Create Pix charge&#x22;
  click C &#x22;/docs/conta-digital/webhooks&#x22; &#x22;Webhooks&#x22;
  click D &#x22;/docs/conta-digital/endpoints/charges/get_payment&#x22; &#x22;Get charge&#x22;
  click E &#x22;/docs/conta-digital/endpoints/withdrawals/post_withdraw&#x22; &#x22;Withdraw to Pix key&#x22;

  style B fill:#14ce71,stroke:#0eb464,color:#ffffff
`"
/>

## Authentication [#authentication]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/authentication/post_oauth_token" title="Get access token" method="POST" path="/oauth/token" />
</QuickLinks>

## Charges [#charges]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/charges/post_payment" title="Create Pix charge" method="POST" path="/transactions/payment" />

  <QuickLink href="/docs/conta-digital/endpoints/charges/get_payments" title="List charges" method="GET" path="/transactions/payment" />

  <QuickLink href="/docs/conta-digital/endpoints/charges/get_payment" title="Get charge" method="GET" path="/transactions/payment/{paymentId}" />

  <QuickLink href="/docs/conta-digital/endpoints/charges/get_payment_receipt" title="Charge receipt" method="GET" path="/transactions/payment/{paymentId}/receipt" />

  <QuickLink href="/docs/conta-digital/endpoints/charges/post_payment_refund" title="Refund charge" method="POST" path="/transactions/payment/{paymentId}/refund" />
</QuickLinks>

## Withdrawals [#withdrawals]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/withdrawals/post_withdraw" title="Withdraw to Pix key" method="POST" path="/transactions/withdraw" />

  <QuickLink href="/docs/conta-digital/endpoints/withdrawals/get_withdraws" title="List withdrawals" method="GET" path="/transactions/withdraw" />

  <QuickLink href="/docs/conta-digital/endpoints/withdrawals/get_withdraw" title="Get withdrawal" method="GET" path="/transactions/withdraw/{withdrawId}" />

  <QuickLink href="/docs/conta-digital/endpoints/withdrawals/get_withdraw_receipt" title="Withdrawal receipt" method="GET" path="/transactions/withdraw/{withdrawId}/receipt" />
</QuickLinks>

## Pix copy-and-paste code and recipient [#pix-copy-and-paste-code-and-recipient]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/pix/post_pix_decode" title="Decode Pix code" method="POST" path="/transactions/pix/decode" />

  <QuickLink href="/docs/conta-digital/endpoints/pix/post_pix_destination" title="Look up recipient" method="POST" path="/transactions/pix/destination" />

  <QuickLink href="/docs/conta-digital/endpoints/pix/post_pix_qr_payment" title="Pay Pix code" method="POST" path="/transactions/pix/qr-payments" />
</QuickLinks>

## Pix keys [#pix-keys]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/pix-keys/get_pix_keys" title="List Pix keys" method="GET" path="/transactions/pix-keys" />

  <QuickLink href="/docs/conta-digital/endpoints/pix-keys/post_pix_key" title="Create Pix key" method="POST" path="/transactions/pix-keys" />

  <QuickLink href="/docs/conta-digital/endpoints/pix-keys/put_pix_key_default" title="Set default key" method="PUT" path="/transactions/pix-keys/{pixKeyId}/default" />

  <QuickLink href="/docs/conta-digital/endpoints/pix-keys/delete_pix_key" title="Delete Pix key" method="DELETE" path="/transactions/pix-keys/{pixKeyId}" />
</QuickLinks>

## Transfers between accounts [#transfers-between-accounts]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/internal-transfers/post_internal_transfer" title="Transfer to another PayZu account" method="POST" path="/transactions/internal-transfer" />

  <QuickLink href="/docs/conta-digital/endpoints/internal-transfers/get_internal_transfers" title="List transfers" method="GET" path="/transactions/internal-transfer" />

  <QuickLink href="/docs/conta-digital/endpoints/internal-transfers/get_internal_transfer" title="Get transfer" method="GET" path="/transactions/internal-transfer/{transferId}" />

  <QuickLink href="/docs/conta-digital/endpoints/internal-transfers/get_internal_transfer_receipt" title="Transfer receipt" method="GET" path="/transactions/internal-transfer/{transferId}/receipt" />
</QuickLinks>

## Deposits [#deposits]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/deposits/get_deposit" title="Get deposit" method="GET" path="/transactions/deposit/{depositId}" />

  <QuickLink href="/docs/conta-digital/endpoints/deposits/get_deposit_receipt" title="Deposit receipt" method="GET" path="/transactions/deposit/{depositId}/receipt" />

  <QuickLink href="/docs/conta-digital/endpoints/deposits/post_deposit_refund" title="Return deposit" method="POST" path="/transactions/deposit/{depositId}/refund" />
</QuickLinks>

## Balance, statement and limits [#balance-statement-and-limits]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/account/get_balance" title="Get balance" method="GET" path="/transactions/balance" />

  <QuickLink href="/docs/conta-digital/endpoints/account/get_statement" title="Get statement" method="GET" path="/transactions/statement" />

  <QuickLink href="/docs/conta-digital/endpoints/account/get_limits" title="Get limits and fees" method="GET" path="/transactions/limits" />

  <QuickLink href="/docs/conta-digital/endpoints/account/get_metrics" title="Get metrics" method="GET" path="/transactions/metrics" />
</QuickLinks>

## MED disputes [#med-disputes]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/infractions/get_infractions" title="List MED disputes" method="GET" path="/transactions/infractions" />

  <QuickLink href="/docs/conta-digital/endpoints/infractions/get_infraction" title="Get MED dispute" method="GET" path="/transactions/infractions/{protocol}" />
</QuickLinks>

## Webhooks [#webhooks]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/webhooks/get_webhooks" title="List webhook endpoints" method="GET" path="/transactions/webhooks" />

  <QuickLink href="/docs/conta-digital/endpoints/webhooks/post_webhook" title="Register webhook endpoint" method="POST" path="/transactions/webhooks" />

  <QuickLink href="/docs/conta-digital/endpoints/webhooks/put_webhook" title="Update webhook endpoint" method="PUT" path="/transactions/webhooks/{webhookId}" />

  <QuickLink href="/docs/conta-digital/endpoints/webhooks/delete_webhook" title="Delete webhook endpoint" method="DELETE" path="/transactions/webhooks/{webhookId}" />

  <QuickLink href="/docs/conta-digital/endpoints/webhooks/get_callback_secret" title="Get callback secret status" method="GET" path="/transactions/callback-secret" />

  <QuickLink href="/docs/conta-digital/endpoints/webhooks/post_callback_secret" title="Issue callback secret" method="POST" path="/transactions/callback-secret" />

  <QuickLink href="/docs/conta-digital/endpoints/webhooks/post_callback_secret_rotate" title="Rotate callback secret" method="POST" path="/transactions/callback-secret/rotate" />
</QuickLinks>

## Status [#status]

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/status/get_status" title="Service health" method="GET" path="/status" />
</QuickLinks>

## Webhook events [#webhook-events]

What reaches your endpoint for each event. How to check the signature and when there is a new attempt: [Webhooks](/docs/conta-digital/webhooks).

<QuickLinks>
  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_payment_created" title="PAYMENT_CREATED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_payment_paid" title="PAYMENT_PAID" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_payment_refunded" title="PAYMENT_REFUNDED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_payment_expired" title="PAYMENT_EXPIRED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_withdraw_created" title="WITHDRAW_CREATED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_withdraw_completed" title="WITHDRAW_COMPLETED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_withdraw_failed" title="WITHDRAW_FAILED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_refund_completed" title="REFUND_COMPLETED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_refund_failed" title="REFUND_FAILED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_deposit_received" title="DEPOSIT_RECEIVED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_internal_transfer_sent" title="INTERNAL_TRANSFER_SENT" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_internal_transfer_received" title="INTERNAL_TRANSFER_RECEIVED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_withdraw_refund_received" title="WITHDRAW_REFUND_RECEIVED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_infraction_opened" title="INFRACTION_OPENED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_infraction_closed" title="INFRACTION_CLOSED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_infraction_deadline" title="INFRACTION_DEADLINE" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_account_blocked" title="ACCOUNT_BLOCKED" />

  <QuickLink href="/docs/conta-digital/endpoints/webhook-events/webhook_account_unblocked" title="ACCOUNT_UNBLOCKED" />
</QuickLinks>